net.minecraft.world

## Enum WorldSettings.GameType

- java.lang.Object
- - java.lang.Enum<WorldSettings.GameType>
  - - net.minecraft.world.WorldSettings.GameType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WorldSettings.GameType>
  Enclosing class:
    WorldSettings

      public static enum WorldSettings.GameType
      extends java.lang.Enum<WorldSettings.GameType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADVENTURE`
    `CREATIVE`
    `NOT_SET`
    `SURVIVAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configurePlayerCapabilities(PlayerCapabilities par1PlayerCapabilities)`
    `static WorldSettings.GameType` | `getByID(int par0)`
    `static WorldSettings.GameType` | `getByName(java.lang.String par0Str)`
    `int` | `getID()`
    `java.lang.String` | `getName()`
    `boolean` | `isAdventure()`
    `boolean` | `isCreative()`
    `boolean` | `isSurvivalOrAdventure()`
    `static WorldSettings.GameType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WorldSettings.GameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SET

          public static final WorldSettings.GameType NOT_SET

    - #### SURVIVAL

          public static final WorldSettings.GameType SURVIVAL

    - #### CREATIVE

          public static final WorldSettings.GameType CREATIVE

    - #### ADVENTURE

          public static final WorldSettings.GameType ADVENTURE

  - ### Method Detail

    - #### values

          public static WorldSettings.GameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WorldSettings.GameType c : WorldSettings.GameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WorldSettings.GameType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getID

          public int getID()

    - #### getName

          public java.lang.String getName()

    - #### configurePlayerCapabilities

          public void configurePlayerCapabilities(PlayerCapabilities par1PlayerCapabilities)

    - #### isAdventure

          public boolean isAdventure()

    - #### isCreative

          public boolean isCreative()

    - #### isSurvivalOrAdventure

          public boolean isSurvivalOrAdventure()

    - #### getByID

          public static WorldSettings.GameType getByID(int par0)

    - #### getByName

          public static WorldSettings.GameType getByName(java.lang.String par0Str)